import { OnChanges, EventEmitter } from '@angular/core';
import { Configs } from '../../models/Configs.model';
import { Column } from '../../models/Column.model';
import { AngularTreeGridService } from '../../angular-tree-grid.service';
export declare class TreeBodyComponent implements OnChanges {
    private angularTreeGridService;
    parents: Object[];
    data: any[];
    configs: Configs;
    processed_data: any[];
    expand_tracker: Object;
    edit_tracker: Object;
    internal_configs: any;
    columns: Column[];
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService);
    ngOnChanges(): void;
    refreshData(element: any): void;
    onRowExpand(event: any): void;
    onRowCollapse(event: any): void;
    saveRecord($event: any): void;
    addRow(element: any): void;
    cancelEdit(index: any): void;
    rowSelect(row_data: any, event: any): void;
}
